images:
  debian8:
    name: Debian 8 - GARR
    url: https://cdimage.debian.org/cdimage/openstack/current-8/debian-8-openstack-amd64.qcow2
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=debian"
    - "os_type=linux"
    - "os_version=8"
    - "architecture=amd64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
  debian9:
    name: Debian 9 - GARR
    url: https://cdimage.debian.org/cdimage/openstack/current-9/debian-9-openstack-amd64.qcow2
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=debian"
    - "os_type=linux"
    - "os_version=9"
    - "architecture=amd64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    - "hw_vif_multiqueue_enabled=true"
    - "hw_rng_model=virtio"
  fedora28:
    name: Fedora 28 - GARR
    url: https://download.fedoraproject.org/pub/fedora/linux/releases/28/Cloud/x86_64/images/Fedora-Cloud-Base-28-1.1.x86_64.qcow2
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=fedora"
    - "os_type=linux"
    - "os_version=28"
    - "architecture=x86_64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    - "hw_vif_multiqueue_enabled=true"
    - "hw_rng_model=virtio"
  centos7:
    name: CentOS 7 - GARR
    url: http://cloud.centos.org/centos/7/images/CentOS-7-x86_64-GenericCloud.qcow2
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=centos"
    - "os_type=linux"
    - "os_version=7.X"
    - "architecture=x86_64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    - "hw_vif_multiqueue_enabled=true"
  centos6:
    name: CentOS 6 - GARR
    url: http://cloud.centos.org/centos/6/images/CentOS-6-x86_64-GenericCloud.qcow2
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=centos"
    - "os_type=linux"
    - "os_version=6.X"
    - "architecture=x86_64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
  ubuntu-12.04:
    name: Ubuntu 12.04 - GARR
    simplestreams: com.ubuntu.cloud:server:12.04:amd64
  ubuntu-14.04:
    name: Ubuntu 14.04 - GARR
    url: https://cloud-images.ubuntu.com/releases/14.04/release/ubuntu-14.04-server-cloudimg-amd64-disk1.img
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=ubuntu"
    - "os_type=linux"
    - "os_version=14.04"
    - "architecture=amd64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    simplestreams: com.ubuntu.cloud:server:14.04:amd64
  ubuntu-16.04:
    name: Ubuntu 16.04 - GARR
    url: https://cloud-images.ubuntu.com/releases/16.04/release/ubuntu-16.04-server-cloudimg-amd64-disk1.img
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=ubuntu"
    - "os_type=linux"
    - "os_version=16.04"
    - "architecture=amd64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    - "hw_vif_multiqueue_enabled=true"
    - "hw_rng_model=virtio"
    simplestreams: com.ubuntu.cloud:server:16.04:amd64
  ubuntu-18.04:
    name: Ubuntu 18.04 - GARR
    url: http://cloud-images.ubuntu.com/releases/18.04/release/ubuntu-18.04-server-cloudimg-amd64.img
    disk_format: qcow2
    extraargs:
    - "min_disk=5"
    - "min_ram=1024"
    tags:
    - "os_distro=ubuntu"
    - "os_type=linux"
    - "os_version=18.04"
    - "architecture=amd64"
    - "os_require_quiesce=yes"
    - "hw_qemu_guest_agent=yes"
    - "hw_vif_multiqueue_enabled=true"
    - "hw_rng_model=virtio"
    simplestreams: com.ubuntu.cloud:server:18.04:amd64
